Method: projects.locations.instances.startMigration

Initiates the migration of a source instance to the target Memorystore instance.

After the successful completion of this operation, the target instance will: 1. Set up replication with the source instance and replicate any writes to the source instance. 2. Only allow reads.

HTTP request


POST https://memorystore.googleapis.com/v1alpha/{name=projects/*/locations/*/instances/*}:startMigration

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the instance to start migration on. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "selfManagedSource": {
    object (SelfManagedSource)
  }
  // End of mutually exclusive fields.
}
Fields
Defines the source of the migration. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
selfManagedSource

object (SelfManagedSource)

Required. Configuration for migrating from a self-managed Valkey/Redis instance

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM Permissions

Requires the following IAM permission on the name resource:

  • memorystore.instances.startMigration

For more information, see the IAM documentation.